com.io7m.r2.core

## Class R2DepthAttachmentShare

- java.lang.Object
- - com.io7m.r2.core.R2DepthAttachmentShare

- All Implemented Interfaces:
    R2DepthAttachmentShareType, R2DepthAttachmentSpecificationType

      @Generated(value={"Immutables.generator","R2DepthAttachmentShareType"})
      public final class R2DepthAttachmentShare
      extends Object
      implements R2DepthAttachmentShareType

  A preexisting depth texture that will be used as an attachment on a created framebuffer.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `R2DepthAttachmentShare.Builder` Builds instances of type `R2DepthAttachmentShare`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static R2DepthAttachmentShare.Builder` | `builder()` Creates a builder for `R2DepthAttachmentShare`.
    `static R2DepthAttachmentShare` | `copyOf(R2DepthAttachmentShareType instance)` Creates an immutable copy of a `R2DepthAttachmentShareType` value.
    `boolean` | `equals(Object another)` This instance is equal to all instances of `R2DepthAttachmentShare` that have equal attribute values.
    `int` | `hashCode()` Computes a hash code from attributes: `texture`.
    `static R2DepthAttachmentShare` | `of(R2Texture2DUsableType texture)` Construct a new immutable `R2DepthAttachmentShare` instance.
    `R2Texture2DUsableType` | `texture()` The depth texture that will be used as a depth attachment.
    `String` | `toString()` Prints the immutable value `R2DepthAttachmentShare` with attribute values.
    `R2DepthAttachmentShare` | `withTexture(R2Texture2DUsableType value)` Copy the current immutable object by setting a value for the `texture` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.io7m.r2.core.R2DepthAttachmentShareType

      `matchDepthAttachment`

- - ### Method Detail

    - #### texture

          public R2Texture2DUsableType texture()

      The depth texture that will be used as a depth attachment.
      Specified by:
        `texture` in interface `R2DepthAttachmentShareType`
      Returns:
        A depth texture

    - #### withTexture

          public final R2DepthAttachmentShare withTexture(R2Texture2DUsableType value)

      Copy the current immutable object by setting a value for the `texture` attribute. A shallow reference equality check is used to prevent copying of the same value by returning `this`.
      Parameters:
        `value` - A new value for texture
      Returns:
        A modified copy of the `this` object

    - #### equals

          public boolean equals(Object another)

      This instance is equal to all instances of `R2DepthAttachmentShare` that have equal attribute values.
      Overrides:
        `equals` in class `Object`
      Returns:
        `true` if `this` is equal to `another` instance

    - #### hashCode

          public int hashCode()

      Computes a hash code from attributes: `texture`.
      Overrides:
        `hashCode` in class `Object`
      Returns:
        hashCode value

    - #### toString

          public String toString()

      Prints the immutable value `R2DepthAttachmentShare` with attribute values.
      Overrides:
        `toString` in class `Object`
      Returns:
        A string representation of the value

    - #### of

          public static R2DepthAttachmentShare of(R2Texture2DUsableType texture)

      Construct a new immutable `R2DepthAttachmentShare` instance.
      Parameters:
        `texture` - The value for the `texture` attribute
      Returns:
        An immutable R2DepthAttachmentShare instance

    - #### copyOf

          public static R2DepthAttachmentShare copyOf(R2DepthAttachmentShareType instance)

      Creates an immutable copy of a `R2DepthAttachmentShareType` value. Uses accessors to get values to initialize the new immutable instance. If an instance is already immutable, it is returned as is.
      Parameters:
        `instance` - The instance to copy
      Returns:
        A copied immutable R2DepthAttachmentShare instance

    - #### builder

          public static R2DepthAttachmentShare.Builder builder()

      Creates a builder for `R2DepthAttachmentShare`.
      Returns:
        A new R2DepthAttachmentShare builder

Copyright © 2016 <code@io7m.com> http://io7m.com